dbXML API

## org.dbxml.core.corba.db
Class _FaultCodesStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.dbxml.core.corba.db._FaultCodesStub

All Implemented Interfaces:
  FaultCodes, FaultCodesOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object, java.io.Serializable

public class _FaultCodesStub
extends org.omg.CORBA.portable.ObjectImpl
implements FaultCodes

Generated from IDL definition of interface "FaultCodes"

Author:
  JacORB IDL compiler
See Also:
  Serialized Form

Field Summary
`static java.lang.Class` `_opsClass`

Fields inherited from interface org.dbxml.core.corba.db.FaultCodes

`COL, COL_CANNOT_CREATE, COL_CANNOT_DROP, COL_CANNOT_RETRIEVE, COL_CANNOT_STORE, COL_COLLECTION_CLOSED, COL_COLLECTION_NOT_FOUND, COL_COLLECTION_READ_ONLY, COL_DOCUMENT_MALFORMED, COL_DOCUMENT_NOT_FOUND, COL_DUPLICATE_COLLECTION, COL_NO_FILER, COL_NO_INDEXMANAGER, COL_NULL_RESULT, DBE, DBE_CANNOT_DROP, DBE_NO_PARENT, GEN, GEN_CRITICAL_ERROR, GEN_FATAL_ERROR, GEN_GENERAL_ERROR, GEN_UNKNOWN, IDX, IDX_CANNOT_CREATE, IDX_CORRUPTED, IDX_DUPLICATE_INDEX, IDX_INDEX_NOT_FOUND, IDX_MATCHES_NOT_FOUND, IDX_NOT_SUPPORTED, IDX_STYLE_NOT_FOUND, IDX_VALUE_NOT_FOUND, JAVA, JAVA_RUNTIME_ERROR, OBJ, OBJ_CANNOT_CREATE, OBJ_CLASS_FORMAT_ERROR, OBJ_DUPLICATE_OBJECT, OBJ_INVALID_CONTEXT, OBJ_INVALID_RESULT, OBJ_METHOD_NOT_FOUND, OBJ_NULL_RESULT, OBJ_OBJECT_NOT_FOUND, OBJ_RUNTIME_EXCEPTION, QRY, QRY_COMPILATION_ERROR, QRY_NOT_SUPPORTED, QRY_NULL_RESULT, QRY_PROCESSING_ERROR, QRY_STYLE_NOT_FOUND, SEC, SEC_INVALID_ACCESS, SEC_INVALID_CREDENTIALS, SEC_INVALID_GROUP, SEC_INVALID_USER, TRX, TRX_DOC_LOCKED, TRX_NO_CONTEXT, TRX_NOT_ACTIVE, TRX_NOT_SUPPORTED, URI, URI_EMPTY, URI_NULL, URI_PARSE_ERROR`

Constructor Summary
`_FaultCodesStub()`

Method Summary
`java.lang.String[]` `_ids()`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Field Detail

### _opsClass

    public static final java.lang.Class _opsClass

Constructor Detail

### _FaultCodesStub

    public _FaultCodesStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `org.omg.CORBA.portable.ObjectImpl`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved